<?php
/**
 * Imaoikiruhitolms functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package imaoikiruhitolms
 */

namespace IIHLMS_Theme;

if ( ! defined( '_S_VERSION' ) ) {
	define( '_S_VERSION', '1.0.0' );
}

/**
 * ImaoikiruhitoLMS Theme
 */
class ImaoikiruhitoLMS_Theme {
	/**
	 * コンストラクタ
	 *
	 * @return void
	 */
	public function __construct() {
		require_once __DIR__ . '/lib/customizer.php';
		require_once __DIR__ . '/lib/style.php';

		add_action( 'after_setup_theme', array( $this, 'iihlms_setup' ) );
		add_action( 'wp_enqueue_scripts', array( $this, 'iihlms_scripts' ) );

	}
	/**
	 * セットアップ
	 *
	 * @return void
	 */
	public function iihlms_setup() {
		load_theme_textdomain( 'imaoikiruhitolms', get_template_directory() . '/languages' );
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'title-tag' );
		add_theme_support( 'post-thumbnails' );
	}
	/**
	 * CSS登録
	 *
	 * @return void
	 */
	public function iihlms_scripts() {
		wp_enqueue_style( 'iihlms-style', get_stylesheet_uri(), array(), _S_VERSION );
	}
}

/**
 * プラグインの更新通知
 *
 * @return void
 */
use YahnisElsts\PluginUpdateChecker\v5\PucFactory;
if ( current_user_can( 'manage_options' ) ) {
	include_once get_template_directory() . '/lib/plugin-update-checker/plugin-update-checker.php';
	$my_update_checker = PucFactory::buildUpdateChecker(
		'https://imaoikiruhito-plugin.com/imaoikiruhito-lms-theme/update.json',
		__FILE__,
		'imaoikiruhito_lms'
	);
}

$iihlms_theme = new ImaoikiruhitoLMS_Theme();
