<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package imaoikiruhito_lms
 */

?>
<?php
header( 'Expires: Tue, 1 Jan 2019 00:00:00 GMT' );
header( 'Last-Modified:' . gmdate( 'D, d M Y H:i:s' ) . 'GMT' );
header( 'Cache-Control:no-cache,no-store,must-revalidate,max-age=0' );
header( 'Cache-Control:pre-check=0, post-check=0', false );
header( 'Pragma:no-cache' );
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.3.0/font/bootstrap-icons.css">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>

<?php
if ( is_user_logged_in() ) {
	?>
	<div class="fixed-top">
		<?php
		if ( is_admin_bar_showing() ) {
			echo '<nav class="navbar navbar-expand-lg navbar-light bg-light header-menu-bg navbar-adminbar-showing">';
		} else {
			echo '<nav class="navbar navbar-expand-lg navbar-light bg-light header-menu-bg">';
		}
		?>
		<a class="navbar-brand header-title-text header-title-sitename" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a>
		<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
		<span class="navbar-toggler-icon"></span>
		</button>
		<div class="collapse navbar-collapse" id="navbarNavAltMarkup">
			<div class="navbar-nav">
			<a class="nav-link header-title-text" href="<?php echo esc_url( home_url( '/' ) ); ?>"><i class="bi bi-house btn-mypage-icon"></i> HOME</a>
			<a class="nav-link header-title-text" href="<?php echo esc_url( home_url( '/' ) . IIHLMS_ORDERHISTORY_NAME . '/' ); ?>">注文履歴</a>
			<a class="nav-link header-title-text" href="<?php echo esc_url( home_url( '/' ) . IIHLMS_USERPAGE_NAME . '/' ); ?>">ユーザー情報</a>
			<?php
			if ( defined( 'IIHLMS_ADDITION' ) ) {
				?>
				<a class="nav-link header-title-text" id="iihlms-header-test-result" href="<?php echo esc_url( home_url( '/' ) . IIHLMS_TESTRESULTLIST_NAME . '/' ); ?>">テスト結果一覧</a>
				<?php
			}
			?>
			<a class="nav-link header-title-text" href="<?php echo do_shortcode( '[get_logouturl]' ); ?>">ログアウト</a>
			</div>
		</div>
	</nav>
	</div>
	<?php
} else {
	?>
	<div class="fixed-top">
	<nav class="navbar navbar-expand-lg navbar-light bg-light header-menu-bg">
		<a class="navbar-brand header-title-text header-title-sitename" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a>
		<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
		<span class="navbar-toggler-icon"></span>
		</button>
		<div class="collapse navbar-collapse" id="navbarNavAltMarkup">
			<div class="navbar-nav">
			<a class="nav-link header-title-text" href="<?php echo esc_url( home_url( '/' ) ); ?>"><i class="bi bi-house btn-mypage-icon"></i> HOME</a>
			<a class="nav-link header-title-text" href="<?php echo esc_html( get_home_url() . '/wp-login.php' ); ?>">ログイン</a>
			</div>
		</div>
	</nav>
	</div>
	<?php
}
