<?php
use \IIHLMS_Theme\Customizer;
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$wp_customize->add_section(
	'iihlmstheme_options',
	array(
		'title' => __( 'IIHLMSTheme Options', 'imaoikiruhito_lms' ),
		'priority' => 35,
		'capability' => 'edit_theme_options',
	)
);

$wp_customize->add_setting(
	'iihlmstheme_maincolor',
	array(
		'default' => '#DAF0F2',
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
	)
);
$wp_customize->add_setting(
	'iihlmstheme_headercolor',
	array(
		'default' => '#E6E6E6',
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
	)
);
$wp_customize->add_setting(
	'iihlmstheme_bgcolor',
	array(
		'default' => '#FFFFFF',
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
	)
);
$wp_customize->add_setting(
	'iihlmstheme_link_textcolor',
	array(
		'default' => '#0D6EFD',
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
	)
);
$wp_customize->add_setting(
	'iihlmstheme_link_hovercolor',
	array(
		'default' => '#2BA6CB',
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
	)
);
$wp_customize->add_setting(
	'iihlmstheme_homebutton_bgcolor',
	array(
		'default' => '#FFFFFF',
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
	)
);
$wp_customize->add_setting(
	'iihlmstheme_homebutton_textcolor',
	array(
		'default' => '#52C2CC',
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
	)
);
$wp_customize->add_setting(
	'iihlmstheme_crsbutton_bgcolor',
	array(
		'default' => '#888888',
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
	)
);
$wp_customize->add_setting(
	'iihlmstheme_crsbutton_textcolor',
	array(
		'default' => '#FFFFFF',
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
	)
);
$wp_customize->add_setting(
	'iihlmstheme_cartbutton_bgcolor',
	array(
		'default' => '#27BECC',
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
	)
);
$wp_customize->add_setting(
	'iihlmstheme_cartbutton_textcolor',
	array(
		'default' => '#FFFFFF',
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
	)
);
$wp_customize->add_setting(
	'iihlmstheme_progressbar_color',
	array(
		'default' => '#52C2CC',
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
	)
);
$wp_customize->add_setting(
	'iihlmstheme_price_color',
	array(
		'default' => '#00A4B3',
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
	)
);
$wp_customize->add_setting(
	'iihlmstheme_check_square_color',
	array(
		'default' => '#44E8D5',
		'type' => 'theme_mod',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_maincolor',
		array(
			'label' => __( 'メイン', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_maincolor',
			'priority' => 10,
		)
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_headercolor',
		array(
			'label' => __( 'ヘッダー', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_headercolor',
			'priority' => 10,
		)
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_bgcolor',
		array(
			'label' => __( '背景', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_bgcolor',
			'priority' => 10,
		)
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_link_textcolor',
		array(
			'label' => __( 'リンク', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_link_textcolor',
			'priority' => 10,
		)
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_link_hovercolor',
		array(
			'label' => __( 'リンクのホバー', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_link_hovercolor',
			'priority' => 10,
		)
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_homebutton_bgcolor',
		array(
			'label' => __( 'HOMEボタン背景', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_homebutton_bgcolor',
			'priority' => 10,
		)
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_homebutton_textcolor',
		array(
			'label' => __( 'HOMEボタンテキスト', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_homebutton_textcolor',
			'priority' => 10,
		)
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_crsbutton_bgcolor',
		array(
			'label' => __( 'コースボタン背景', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_crsbutton_bgcolor',
			'priority' => 10,
		)
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_crsbutton_textcolor',
		array(
			'label' => __( 'コースボタンテキスト', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_crsbutton_textcolor',
			'priority' => 10,
		)
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_cartbutton_bgcolor',
		array(
			'label' => __( 'カートボタン背景', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_cartbutton_bgcolor',
			'priority' => 10,
		)
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_cartbutton_textcolor',
		array(
			'label' => __( 'カートボタンテキスト', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_cartbutton_textcolor',
			'priority' => 10,
		)
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_progressbar_color',
		array(
			'label' => __( '進捗バー', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_progressbar_color',
			'priority' => 10,
		)
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_price_color',
		array(
			'label' => __( '価格', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_price_color',
			'priority' => 10,
		)
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_currentcoursearea_bgcolor',
		array(
			'label' => __( '受講中の講座背景', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_currentcoursearea_bgcolor',
			'priority' => 10,
		)
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'iihlmstheme_check_square_color',
		array(
			'label' => __( 'チェックマーク', 'imaoikiruhito_lms' ),
			'section' => 'colors',
			'settings' => 'iihlmstheme_check_square_color',
			'priority' => 10,
		)
	)
);

// //4. JavaScript で即時反映するために、ビルトインテーマ設定の transport 指定を変更することもできます。
// $wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
// $wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
// $wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
// $wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
