<?php
namespace IIHLMS_Theme\Style;

use \IIHLMS_Theme\Customizer;
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

echo '<style>';
generate_css( '.list-group-item-course-title', 'background-color', 'iihlmstheme_maincolor', '', '', true, true );
echo '@media (max-width: 576px) {';
generate_css( '.title-text-sub', 'background-color', 'iihlmstheme_maincolor', '', '', true, true );
echo '}';
generate_css( '.header-menu-bg', 'background-color', 'iihlmstheme_headercolor', '', '', true, true );
generate_css( '.navbar-collapse', 'background-color', 'iihlmstheme_headercolor', '', '', true, true );
generate_css( 'body', 'background-color', 'iihlmstheme_bgcolor' );
generate_css( 'a', 'color', 'iihlmstheme_link_textcolor' );
generate_css( 'a:hover', 'color', 'iihlmstheme_link_hovercolor' );
generate_css( '.btn-mypage-content', 'background-color', 'iihlmstheme_homebutton_bgcolor' );
generate_css( '.btn-mypage-text', 'color', 'iihlmstheme_homebutton_textcolor' );
generate_css( '.btn-top-course-content', 'background-color', 'iihlmstheme_crsbutton_bgcolor' );
generate_css( '.btn-top-course-content', 'color', 'iihlmstheme_crsbutton_textcolor' );
generate_css( '.btn-cart', 'background-color', 'iihlmstheme_cartbutton_bgcolor' );
generate_css( '.btn-cart', 'color', 'iihlmstheme_cartbutton_textcolor' );
generate_css( '.btn-cart-bottom', 'background-color', 'iihlmstheme_cartbutton_bgcolor' );
generate_css( '.btn-cart-bottom', 'color', 'iihlmstheme_cartbutton_textcolor' );
generate_css( '.progress-bar-card', 'background-color', 'iihlmstheme_progressbar_color' );
generate_css( '.card-price-text', 'color', 'iihlmstheme_price_color' );
generate_css( '.navigation-black-price-text', 'color', 'iihlmstheme_price_color' );
generate_css( '.current-course-area', 'background-color', 'iihlmstheme_currentcoursearea_bgcolor' );
generate_css( '.btn-lesson-complete-remove-icon', 'color', 'iihlmstheme_check_square_color' );
generate_css( '.list-group-icon', 'color', 'iihlmstheme_check_square_color' );
echo '</style>';

/**
 * <head> 内に出力する CSS を作成します.
 * $mod_name 設定が未定義の場合は、何も出力しません.
 *
 * @uses get_theme_mod()
 * @param string $selector CSSセレクタ.
 * @param string $style 変更する CSS *プロパティ* 名.
 * @param string $mod_name 'theme_mod' 設定の名前.
 * @param string $prefix （任意）CSS プロパティの前に出力する内容.
 * @param string $postfix （任意）CSS プロパティの後に出力する内容.
 * @param bool   $echo （任意）出力するか否か (デフォルト：true).
 * @param bool   $important （任意）importantを出力するか否か (デフォルト：false).
 * @return string セレクタとプロパティからなる1行の CSS を返します.
 * @since MyTheme 1.0
 */
function generate_css( $selector, $style, $mod_name, $prefix = '', $postfix = '', $echo = true , $important = false ) {
	$return = '';
	$mod    = get_theme_mod( $mod_name );
	if ( ! empty( $mod ) ) {
		if ( true === $important ) {
			$return = sprintf(
				'%s { %s:%s !important; }',
				$selector,
				$style,
				$prefix . $mod . $postfix
			);
		} else {
			$return = sprintf(
				'%s { %s:%s; }',
				$selector,
				$style,
				$prefix . $mod . $postfix
			);
		}
		if ( $echo ) {
			echo esc_html( $return );
		}
	}
	return $return;
}
